Loading...
Searching...
No Matches
BALL::VIEW::ClippingDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/clippingDialog.h>`

Inheritance diagram for BALL::VIEW::ClippingDialog:

## Public Slots

Public slots
int | exec ()
void | accept ()

## Public Member Functions

Constructors
| ClippingDialog (QWidget *parent=NULL, const char *name="ClippingDialog")
Destructors
virtual | ~ClippingDialog ()
void | setClippingPlane (ClippingPlane *plane)
const ClippingPlane * | getClippingPlane () const

## Protected Attributes

Protected slots
ClippingPlane * | clipping_plane_

## Detailed Description

Dialog for selcting which Representations are clipped by one clipping plane.

Definition at line 27 of file clippingDialog.h.

## Constructor & Destructor Documentation

## ClippingDialog()

BALL::VIEW::ClippingDialog::ClippingDialog | ( | QWidget * | parent = NULL,
|  | const char * | name = "ClippingDialog" )

Default Constructor.

## ~ClippingDialog()

virtual BALL::VIEW::ClippingDialog::~ClippingDialog | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## accept

void BALL::VIEW::ClippingDialog::accept | ( |  | ) |

slot

## exec

int BALL::VIEW::ClippingDialog::exec | ( |  | ) |

slot

Show and raise the dialog

## getClippingPlane()

const ClippingPlane * BALL::VIEW::ClippingDialog::getClippingPlane | ( |  | ) | const

inline

Definition at line 56 of file clippingDialog.h.

## setClippingPlane()

void BALL::VIEW::ClippingDialog::setClippingPlane | ( | ClippingPlane * | plane | ) |

inline

Definition at line 53 of file clippingDialog.h.

## Member Data Documentation

## clipping_plane_

ClippingPlane* BALL::VIEW::ClippingDialog::clipping_plane_

protected

Definition at line 80 of file clippingDialog.h.